jueves, 7 de agosto de 2014

Bloqueando actualizaciones de paquetes con Synaptic

Debian se caracteriza por la estabilidad de sus paquetes, so pena de que estos tardan en actualizarse bastante tiempo. Pero también tenemos una rama “testing” y si eres de los que viven la vida loca, incluso puedes usar SID.

¿Pero qué pasa si quieres vivir la vida loca sin arriesgar con un determinado programa? ¿Qué pasa si queremos que un determinado paquete permanezca sin actualizarse? Pues que tenemos que emplear un minuto de nuestra vida en decírselo a Debian.


Suena a complicado. Quieres que un determinado paquete no se actualice automáticamente. Ya lo actualizaras tu si te apetece.  Googleas un poco y te empiezan a hablar de la consola, de dpkg…

Pues bien amigo, no te dejes llevar por la desesperación. Nuestro fiel Synaptic está con nosotros en este duro trance para convertirlo en una sencilla nimiedad.

Para el ejemplo, yo voy a bloquear un paquete llamado Cryptkeeper. Así que el primer paso obvio, es buscarlo en Synaptic y seleccionarlo. Hasta aquí, nada que no sepamos hacer ya.

Y ahora un par de clics de ratón y tendremos bloqueado el paquete. Vamos al menú “Paquete” y desde allí a la opción “Bloquear versión”.


Con ésta ardua y complicada labor, ya tenemos bloqueado el paquete y podremos actualizar nuestro sistema sin afectar a ese paquete.


¡Gracias Synaptic!

5 comentarios:

  1. Hola. Gracias por el tip. ¿Sabés si esto atañe también a sus dependencias?
    Un saludo!

    ResponderEliminar
    Respuestas
    1. Creo que no, que solo al paquete que has bloqueado

      Eliminar
  2. Genio!, voy a informarme un poco mas. Me podrias decir que tan inestable es Debian Testing? uso LMDE pero ahora se pasan a Stable y ya no es mas rolling release, y queria instalar yo Debian Testing, pero no tengo bien claro que tan inestable es, y si mi idea es la correcta, mantenerme en Testing para seguir en rolling release.

    ResponderEliminar
    Respuestas
    1. Hola.

      Personalmente Debian Testing nunca me ha dado ningún problema. La recomiendo.

      Saludos.

      Eliminar
    2. Yo uso testing desde hace mucho tiempo, y no hay problemas. Además, si usabas LMDE la estabilidad es mas o menos la misma

      Eliminar

prekes sodui